0
C:\xampp\htdocs\magento-ce-2.4.1-2020-09-25-04-08-02>php bin/magento setup:di:compile
Compilation was started.
Repositories code generation... 1/9 [===>------------------------]  11% 4 secs 96.0 MiB
Fatal error: Allowed memory size of 134217728 bytes exhausted (tried to allocate 32768 bytes) in C:\xampp\htdocs\magento-ce-2.4.1-2020-09-25-04-08-02\vendor\magento\module-customer\Block\Adminhtml\Edit\Tab\View\Wishlist.php on line 1

Check https://getcomposer.org/doc/articles/troubleshooting.md#memory-limit-errors for more info on how to handle out-of-memory errors.

I have tried in all directions...

8
  • welcome to stackexchange, try running: php -dmemory_limit=7G bin/magento setup:di:compile
    – John
    Sep 20 '21 at 10:49
  • plz try php -d memory_limit=5G bin/magento setup:di:compile Or you need to increase memory in php.ini
    – Pawan
    Sep 20 '21 at 10:50
  • @Devidas It works for me,,,,but after reaching 88% i got error like this:- Plugin list generation... 8/9 [========================>---] 88% 3 mins 382.0 MiB In ErrorHandler.php line 61: Warning: Use of undefined constant ‘ - assumed '‘' (this will throw an Error in a future version of PHP) in C:\xampp\htdocs\magento-ce-2.4.1-2020-09-25-04-08-02\ve ndor\magento\framework\Interception\PluginListGenerator.php on line 159 Sep 22 '21 at 5:04
  • @Pawan I used php -d memory_limit=5G bin/magento setup:di:compile.... ,but after reaching 88% i got error like this:- Plugin list generation... 8/9 [========================>---] 88% 3 mins 382.0 MiB In ErrorHandler.php line 61: Warning: Use of undefined constant ‘ - assumed '‘' (this will throw an Error in a future version of PHP) in C:\xampp\htdocs\magento-ce-2.4.1-2020-09-25-04-08-02\ve ndor\magento\framework\Interception\PluginListGenerator.php on line 159 Sep 22 '21 at 5:08
  • @John It works for me,,,,but after reaching 88% i got error like this:- Plugin list generation... 8/9 [========================>---] 88% 3 mins 382.0 MiB In ErrorHandler.php line 61: Warning: Use of undefined constant ‘ - assumed '‘' (this will throw an Error in a future version of PHP) in C:\xampp\htdocs\magento-ce-2.4.1-2020-09-25-04-08-02\ve ndor\magento\framework\Interception\PluginListGenerator.php on line 159 – Sep 22 '21 at 5:10
0

It Looks like your cli has only 128MB of memory allocated. Increase this value to at 256MB or 512MB at least. You can either increase increase memory limit in php.ini or directly run this command

php -dmemory_limit=-1 bin/magento setup:di:compile
1
  • i really appreciate your support. but after reaching 88%..i got error..i used two code in "PluginListGenerator.php".i.e, first i used to this code..then i got error in 88%: existing code :- $cacheId = implode('|', $this->scopePriorityScheme) . "|" . $this->cacheId; after i replaced existing code to modified code.i got same error in 88%: modified code :- $cacheId = implode(‘-’, $this->scopePriorityScheme) . “-” . $this->cacheId; after using this two code..i got error after reaching 88%. Sep 22 '21 at 4:55

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.